Bug 240707 - python-setuptools missing python-devel dependency
Summary: python-setuptools missing python-devel dependency
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-setuptools (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Konstantin Ryabitsev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-21 00:27 UTC by Greg Hogan
Modified: 2008-01-01 02:01 UTC (History)
1 user (show)

Fixed In Version: 0.6c6-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-20 20:05:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Greg Hogan 2007-05-21 00:27:00 UTC
This is filed under fc6, as extras has no fc7 and core has no python-setuptools!

Description of problem: python-setuptools requires python-devel to run easy_install


Version-Release number of selected component (if applicable): 
python-setuptools-0.6c5-1.fc7


How reproducible: from standard fc7test4 installation


Steps to Reproduce:
1. [user@localhost user]# easy_install
error: invalid Python installation: unable to open
/usr/lib/python2.5/config/Makefile (No such file or directory)

2. (install python-devel)

3. [user@localhost user]# easy_install
error: No urls, filenames, or requirements specified (see --help)

Comment 1 Fedora Update System 2007-06-11 22:05:59 UTC
python-setuptools-0.6c6-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 2 Fedora Update System 2007-06-20 20:05:25 UTC
python-setuptools-0.6c6-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Jonathan Steffan 2008-01-01 02:01:00 UTC
This does not happen with python2.4


Note You need to log in before you can comment on or make changes to this bug.